Patchwork [0/7] PUs for telepathy and gstreamer1.0

login
register
mail settings
Submitter Cristian Iorga
Date Aug. 2, 2013, 3:39 p.m.
Message ID <cover.1375457906.git.cristian.iorga@intel.com>
Download mbox
Permalink /patch/55003/
State New
Headers show

Pull-request

git://git.yoctoproject.org/poky-contrib ciorga/work

Comments

Cristian Iorga - Aug. 2, 2013, 3:39 p.m.
Upgrade for telepathy stack and gstreamer1.0 stack

The following changes since commit 9de0ad47462c13ac4a2d73e12e92be6c1b4e0415:

  genericx86: ship all the driver firmware by default (2013-07-31 07:00:00 +0100)

are available in the git repository at:

  git://git.yoctoproject.org/poky-contrib ciorga/work
  http://git.yoctoproject.org/cgit.cgi/poky-contrib/log/?h=ciorga/work

Cristian Iorga (7):
  telepathy-mission-control: upgrade to v5.15.0
  telepathy-idle: upgrade to v0.1.16
  gstreamer1.0: upgrade to v1.0.9
  gstreamer1.0-plugins-base: upgrade to v1.0.9
  gstreamer1.0-plugins-good: upgrade to v1.0.9
  gstreamer1.0-libav: upgrade to v1.0.9
  gstreamer1.0-plugins-bad: upgrade to v1.0.9

 .../fix-svc-gtk-doc.h-target.patch                                   | 0
 .../telepathy/{telepathy-idle_0.1.14.bb => telepathy-idle_0.1.16.bb} | 5 ++---
 ...mission-control_5.14.0.bb => telepathy-mission-control_5.15.0.bb} | 5 ++---
 .../{gstreamer1.0-libav_1.0.7.bb => gstreamer1.0-libav_1.0.9.bb}     | 5 ++---
 meta/recipes-multimedia/gstreamer/gstreamer1.0-plugins-bad.inc       | 2 --
 ...mer1.0-plugins-bad_1.0.7.bb => gstreamer1.0-plugins-bad_1.0.9.bb} | 4 ++--
 meta/recipes-multimedia/gstreamer/gstreamer1.0-plugins-base.inc      | 2 --
 ...r1.0-plugins-base_1.0.7.bb => gstreamer1.0-plugins-base_1.0.9.bb} | 5 ++---
 meta/recipes-multimedia/gstreamer/gstreamer1.0-plugins-good.inc      | 2 --
 ...r1.0-plugins-good_1.0.7.bb => gstreamer1.0-plugins-good_1.0.9.bb} | 4 ++--
 meta/recipes-multimedia/gstreamer/gstreamer1.0.inc                   | 2 --
 .../gstreamer/{gstreamer1.0_1.0.7.bb => gstreamer1.0_1.0.9.bb}       | 4 ++--
 12 files changed, 14 insertions(+), 26 deletions(-)
 rename meta/recipes-connectivity/telepathy/{telepathy-idle-0.1.14 => telepathy-idle-0.1.16}/fix-svc-gtk-doc.h-target.patch (100%)
 rename meta/recipes-connectivity/telepathy/{telepathy-idle_0.1.14.bb => telepathy-idle_0.1.16.bb} (82%)
 rename meta/recipes-connectivity/telepathy/{telepathy-mission-control_5.14.0.bb => telepathy-mission-control_5.15.0.bb} (92%)
 rename meta/recipes-multimedia/gstreamer/{gstreamer1.0-libav_1.0.7.bb => gstreamer1.0-libav_1.0.9.bb} (89%)
 rename meta/recipes-multimedia/gstreamer/{gstreamer1.0-plugins-bad_1.0.7.bb => gstreamer1.0-plugins-bad_1.0.9.bb} (75%)
 rename meta/recipes-multimedia/gstreamer/{gstreamer1.0-plugins-base_1.0.7.bb => gstreamer1.0-plugins-base_1.0.9.bb} (72%)
 rename meta/recipes-multimedia/gstreamer/{gstreamer1.0-plugins-good_1.0.7.bb => gstreamer1.0-plugins-good_1.0.9.bb} (73%)
 rename meta/recipes-multimedia/gstreamer/{gstreamer1.0_1.0.7.bb => gstreamer1.0_1.0.9.bb} (72%)
Ross Burton - Aug. 5, 2013, 11:45 a.m.
On 2 August 2013 16:39, Cristian Iorga <cristian.iorga@intel.com> wrote:
> Cristian Iorga (7):
>   telepathy-mission-control: upgrade to v5.15.0
>   telepathy-idle: upgrade to v0.1.16
>   gstreamer1.0: upgrade to v1.0.9
>   gstreamer1.0-plugins-base: upgrade to v1.0.9
>   gstreamer1.0-plugins-good: upgrade to v1.0.9
>   gstreamer1.0-libav: upgrade to v1.0.9
>   gstreamer1.0-plugins-bad: upgrade to v1.0.9

Build tested and verified buildhistory.

In another commit can you add an INSANE_SKIP for the text-rel warnings
in gstreamer1.0-libav?  That's a known issue with libav afaik.

Acked-By: Ross Burton <ross.burton@intel.com>

Ross
Cristian Iorga - Aug. 5, 2013, 1:59 p.m.
OK, I will deal with it tomorrow.
/Cristian

-----Original Message-----
From: Burton, Ross [mailto:ross.burton@intel.com] 
Sent: Monday, August 05, 2013 2:45 PM
To: Iorga, Cristian
Cc: openembedded-core@lists.openembedded.org
Subject: Re: [OE-core] [PATCH 0/7] PUs for telepathy and gstreamer1.0

On 2 August 2013 16:39, Cristian Iorga <cristian.iorga@intel.com> wrote:
> Cristian Iorga (7):
>   telepathy-mission-control: upgrade to v5.15.0
>   telepathy-idle: upgrade to v0.1.16
>   gstreamer1.0: upgrade to v1.0.9
>   gstreamer1.0-plugins-base: upgrade to v1.0.9
>   gstreamer1.0-plugins-good: upgrade to v1.0.9
>   gstreamer1.0-libav: upgrade to v1.0.9
>   gstreamer1.0-plugins-bad: upgrade to v1.0.9

Build tested and verified buildhistory.

In another commit can you add an INSANE_SKIP for the text-rel warnings in gstreamer1.0-libav?  That's a known issue with libav afaik.

Acked-By: Ross Burton <ross.burton@intel.com>

Ross
Paul Eggleton - Aug. 5, 2013, 2:13 p.m.
On Monday 05 August 2013 12:45:02 Burton, Ross wrote:
> On 2 August 2013 16:39, Cristian Iorga <cristian.iorga@intel.com> wrote:
> > Cristian Iorga (7):
> >   telepathy-mission-control: upgrade to v5.15.0
> >   telepathy-idle: upgrade to v0.1.16
> >   gstreamer1.0: upgrade to v1.0.9
> >   gstreamer1.0-plugins-base: upgrade to v1.0.9
> >   gstreamer1.0-plugins-good: upgrade to v1.0.9
> >   gstreamer1.0-libav: upgrade to v1.0.9
> >   gstreamer1.0-plugins-bad: upgrade to v1.0.9
> 
> Build tested and verified buildhistory.
> 
> In another commit can you add an INSANE_SKIP for the text-rel warnings
> in gstreamer1.0-libav?  That's a known issue with libav afaik.

Are you sure about this? Coincidentally I have been looking at bringing in 
libav from meta-oe, and I can see in the configure script explicitly disables 
PIC for x86 (32-bit) but not other architectures, so I guess you'd need to 
append " textrel" to INSANE_SKIP only for i586, which is what I'm going to be 
doing there. However I'll admit I haven't done a build for another arch yet to 
check if the warnings are not present there.

Cheers,
Paul